package com.dsic.gj_erp.bean.jhgk;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-11-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmYdjh对象", description="")
public class DmYdjh implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "产品")
    private String dcCh;

    @ApiModelProperty(value = "数据来源船")
    private String dcCh1;

    @ApiModelProperty(value = "批量")
    private String dcPl;

    @ApiModelProperty(value = "领取类型")
    @TableField("LQLB")
    private String lqlb;

    @ApiModelProperty(value = "套料图号")
    private String tzbh;

    @ApiModelProperty(value = "规格")
    private String wpgg;

    @ApiModelProperty(value = "材质")
    private String wpxh;

    @ApiModelProperty(value = "划线长度(米)")
    private Double hxcd;

    @ApiModelProperty(value = "切割长度（米）")
    private Double qgcd;

    @ApiModelProperty(value = "曲标识")
    private String qbs;

    @ApiModelProperty(value = "坡口类型")
    private Double pklx;

    @ApiModelProperty(value = "坡口长度")
    private Double pkcd;

    @ApiModelProperty(value = "零件数量")
    private Double ljsl;

    @ApiModelProperty(value = "组立")
    private String zl;

    @ApiModelProperty(value = "加工类型")
    private String lx;

    @ApiModelProperty(value = "型材米数")
    private Double xcms;

    @ApiModelProperty(value = "跨位")
    private String kw;

    @ApiModelProperty(value = "上料日期")
    private String slrq;

    @ApiModelProperty(value = "上料人员")
    private String slry;

    @ApiModelProperty(value = "抛丸")
    private String pw;

    @ApiModelProperty(value = "抛丸人员")
    private String pwry;

    @ApiModelProperty(value = "抛丸日期")
    private String pwrq;

    @ApiModelProperty(value = "划线设备")
    private String hxsb;

    @ApiModelProperty(value = "划线人员")
    private String hxry;

    @ApiModelProperty(value = "划线日期")
    private String hxrq;

    @ApiModelProperty(value = "切割设备")
    private String qgsb;

    @ApiModelProperty(value = "切割人员")
    private String qgry;

    @ApiModelProperty(value = "切割日期")
    private String qgrq;

    @ApiModelProperty(value = "打磨长度")
    private Double dmcd;

    @ApiModelProperty(value = "打磨设备")
    private String dmsb;

    @ApiModelProperty(value = "打磨人员")
    private String dmry;

    @ApiModelProperty(value = "打磨日期")
    private String dmrq;

    @ApiModelProperty(value = "抛丸设备")
    private String pwsb;

    @ApiModelProperty(value = "坡口设备")
    private String pksb;

    @ApiModelProperty(value = "坡口人员")
    private String pkry;

    @ApiModelProperty(value = "坡口日期")
    private String pkrq;

    @ApiModelProperty(value = "分段号")
    @TableField("DC_FD")
    private String dcFd;

    @ApiModelProperty(value = "钢加大组结束")
    private String gjjsDz;

    @ApiModelProperty(value = "钢加小组结束")
    private String gjjsXz;

    @ApiModelProperty(value = "套料图接收")
    private String jsqTlt;

    @ApiModelProperty(value = "领取表接收")
    private String jsqLqb;

    @ApiModelProperty(value = "订货清单号")
    private String dhqd;

    @ApiModelProperty(value = "订货数量")
    private Double orderBs;

    @ApiModelProperty(value = "到货数量")
    private Double arrivalBs;

    @ApiModelProperty(value = "区域")
    private String qy;

    @ApiModelProperty(value = "矫正标识")
    private String jzbs;

    @ApiModelProperty(value = "矫正设备")
    private String jzsb;

    @ApiModelProperty(value = "矫正人员")
    private String jzry;

    @ApiModelProperty(value = "曲加工设备")
    private String qjgsb;

    @ApiModelProperty(value = "曲加工人员")
    private String qjgry;

    @ApiModelProperty(value = "曲加工日期")
    private String qjgrq;

    @ApiModelProperty(value = "本船号")
    @TableField("dcCh2")
    private String dcCh2;

    @ApiModelProperty(value = "钢加开始")
    private String gjks;

    @ApiModelProperty(value = "时间更新时间")
    private String gxsj;

    @ApiModelProperty(value = "划线空程禅道")
    private Double hxkcCd;

    @ApiModelProperty(value = "切割空程长度")
    private Double qgkcCd;

    @ApiModelProperty(value = "结束时间")
    private String jssj;

    @ApiModelProperty(value = "矫正日期")
    private String jzrq;

    @ApiModelProperty(value = "划线空程长度")
    private Double hxcdKc;

    @ApiModelProperty(value = "切割空程长度")
    private Double qgcdKc;

    @ApiModelProperty(value = "状态：0编辑 1提交 2下发 3完成 4拖期")
    private String zt;

    @ApiModelProperty(value = "根数")
    private Double xcgs;

    @ApiModelProperty(value = "板材领取重量")
    private Double bclqzl;

    @ApiModelProperty(value = "板材实耗重量")
    private Double bcshzl;

    @ApiModelProperty(value = "板材余料重量")
    private Double bcylzl;

    @ApiModelProperty(value = "板材零件套料重量")
    private Double bcljtlzl;

    @ApiModelProperty(value = "前批余料代")
    private Double bcqpyld;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    private String ylbhgg;

    private String parentId;


}
