package com.dsic.gj_erp.service.jhgk.impl;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.bean.copier.BeanCopier;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.dsic.gj_erp.bean.jcsj.DmBclqjbp;
import com.dsic.gj_erp.bean.jcsj.DmBom;
import com.dsic.gj_erp.bean.jhgk.DmQfxq;
import com.dsic.gj_erp.bean.jhgk.DmSygd;
import com.dsic.gj_erp.bean.jhgk.DmSygdMx;
import com.dsic.gj_erp.bean.jhgk.DmZrcjh;
import com.dsic.gj_erp.bean.jhgk.excel.QfExcel;
import com.dsic.gj_erp.bean.jhgk.excel.SyExcel;
import com.dsic.gj_erp.bean.sy.Dm_zhbmp;
import com.dsic.gj_erp.mapper.jcsj.DmBomMapper;
import com.dsic.gj_erp.mapper.jhgk.DmSygdMapper;
import com.dsic.gj_erp.mapper.jhgk.DmZrcjhMapper;
import com.dsic.gj_erp.service.jcsj.DmBclqjbpService;
import com.dsic.gj_erp.service.jhgk.DmSygdService;
import com.sun.el.stream.Stream;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author xn
 * @since 2023-10-09
 */
@Service
public class DmSygdServiceImpl extends ServiceImpl<DmSygdMapper, DmSygd> implements DmSygdService {

    @Resource
    private DmSygdMapper mapper;

    @Resource
    private DmBclqjbpService bclqjbpService;


    @Override
    public Map getSygds(){

       Map map= new HashMap();

        return  map;
    }

    @Override
    public Map uploadSy(List<SyExcel> list, HttpServletRequest req){
        List<DmSygd> listForSave=new ArrayList<>();
        for (SyExcel q:list) {
            //TODO 处理转码字段
//            this.remove(new QueryWrapper<DmSygd>()
//                    .eq("DC_CH1",q.getDcCh1())
//                    .eq("DC_PL",q.getDcPl())
//                    .eq("DC_FD",q.getDcFd()));
            DmSygd a=new DmSygd();
            BeanUtil.copyProperties(q,a);
//            a.setBzry((String) req.getAttribute("yhms"));
//            a.setBzrq(DateUtil.format(DateUtil.date(), "yyyy/MM/dd"));
            listForSave.add(a);
        }
        this.saveBatch(listForSave);
        return null;
    }

    public Boolean tj(List<DmSygd> dmSygds){
        dmSygds.forEach(dmSygd->{
            String zt=dmSygd.getGdZt();
            String setZt=zt.equals("1")?"0":"1";
            dmSygd.setGdZt(setZt);
        });
      return this.updateBatchById(dmSygds);
    }
    public Boolean sh(List<DmSygd> dmSygds){
        dmSygds.forEach(dmSygd->{
            String setZt="2";
            dmSygd.setGdZt(setZt);
        });
        return this.updateBatchById(dmSygds);
    }


}
